[Overview][Types][Classes][Index] | Reference for unit 'LazCanvas' (#lcl)

# TLazCanvas.DoRectangle

Adjusts the fcl-image coordinate system to be compatible with coordinates used in TCanvas.

## Declaration

Source position: lazcanvas.pas line 105

`protected procedure TLazCanvas.DoRectangle(`
`const Bounds: TRect`
`); override;`

## Arguments

`Bounds` |  | TRect with the bounds for the rectangular area.

## Description

Adjusts the values in Bounds to use the coordinate system in TCanvas, and draws borders using the style and/or pattern in the Pen for the canvas.

DoRectangleFill is used to optimize and fill a rectangle area.

## See also

TLazCanvas.DoRectangleFill |  | Adjusts the FCL image rectangle to be LCL compatible and draws a filled rectangle on the canvas.